﻿using SushiDataModels;
using SushiDataModels.Enums;
using System.ComponentModel;

namespace SushiContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        [DisplayName("Номер")]
        public int Id { get; set; }
        public int ClientId { get; set; }
        [DisplayName("Имя клиента")]
        public string ClientName { get; set; } = string.Empty;
        public int EmployeeId { get; set; }
        [DisplayName("Имя сотрудника")]
        public string EmployeeName { get; set; } = string.Empty;
        public int SushiId { get; set; }
        [DisplayName("Блюдо")]
        public string SushiName { get; set; } = string.Empty;
        [DisplayName("Количество")]
        public int Count { get; set; }
        [DisplayName("Сумма")]
        public double Sum { get; set; }
        [DisplayName("Статус")]
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
        [DisplayName("Дата создания")]
        public DateTime DateCreate { get; set; } = DateTime.Now;
        [DisplayName("Дата выполнения")]
        public DateTime? DateImplement { get; set; }
    }
}
